Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.authentication
Class SshMsgUserAuthRequest

    java.lang.Object
      com.sshtools.j2ssh.transport.SshMessage
          com.sshtools.j2ssh.authentication.SshMsgUserAuthRequest

public class SshMsgUserAuthRequest
extends SshMessage

DOCUMENT ME!

Field Summary
`static int` | `SSH_MSG_USERAUTH_REQUEST` DOCUMENT ME!

Constructor Summary
`SshMsgUserAuthRequest()` Creates a new SshMsgUserAuthRequest object.
`SshMsgUserAuthRequest(java.lang.String username, java.lang.String serviceName, java.lang.String methodName, byte[] requestData)` Creates a new SshMsgUserAuthRequest object.

Method Summary
`protected void` | `constructByteArray(ByteArrayWriter baw)` DOCUMENT ME!
`protected void` | `constructMessage(ByteArrayReader bar)` DOCUMENT ME!
`java.lang.String` | `getMessageName()` DOCUMENT ME!
`java.lang.String` | `getMethodName()` DOCUMENT ME!
`byte[]` | `getRequestData()` DOCUMENT ME!
`java.lang.String` | `getServiceName()` DOCUMENT ME!
`java.lang.String` | `getUsername()` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.transport.SshMessage
`fromByteArray, getMessageId, getMessageId, toByteArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SSH_MSG_USERAUTH_REQUEST

    public static final int SSH_MSG_USERAUTH_REQUEST

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### SshMsgUserAuthRequest

    public SshMsgUserAuthRequest()

  Creates a new SshMsgUserAuthRequest object.

### SshMsgUserAuthRequest

    public SshMsgUserAuthRequest(java.lang.String username,
                                 java.lang.String serviceName,
                                 java.lang.String methodName,
                                 byte[] requestData)

  Creates a new SshMsgUserAuthRequest object.

Parameters:
  `username` - DOCUMENT ME!
  `serviceName` - DOCUMENT ME!
  `methodName` - DOCUMENT ME!
  `requestData` - DOCUMENT ME!

Method Detail

### getMessageName

    public java.lang.String getMessageName()

  DOCUMENT ME!

  Specified by:
    `getMessageName` in class `SshMessage`
  Returns:
    DOCUMENT ME!

### getMethodName

    public java.lang.String getMethodName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getRequestData

    public byte[] getRequestData()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getServiceName

    public java.lang.String getServiceName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getUsername

    public java.lang.String getUsername()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### constructByteArray

    protected void constructByteArray(ByteArrayWriter baw)
                               throws InvalidMessageException

  DOCUMENT ME!

  Specified by:
    `constructByteArray` in class `SshMessage`
  Parameters:
    `baw` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

### constructMessage

    protected void constructMessage(ByteArrayReader bar)
                             throws InvalidMessageException

  DOCUMENT ME!

  Specified by:
    `constructMessage` in class `SshMessage`
  Parameters:
    `bar` - DOCUMENT ME!
  Throws:
    `InvalidMessageException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD